Update Widget Template
Updates a Widget Template.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
uuid
The identifier for a specific template.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
channel_id
The id of the channel on which to place this template.
create_new_version
Can be added to create a new widget template version instead of updating the current one.
name
The user-friendly name.
schema
The schema for the widget’s merchant-facing UI. For more information on the available schema settings, see Widget UI Schema.
storefront_api_query
The GraphQL Storefront API query that provides widget data.
template
The widget template HTML. Supports Handlebars and Paper helpers.
Response
The requested widget template.
data
meta
Response metadata.
Errors
404
Not Found Error
422
Unprocessable Entity Error